Package org.snpeff.outputFormatter

# Class BedOutputFormatter

java.lang.Object
org.snpeff.outputFormatter.OutputFormatter
org.snpeff.outputFormatter.BedOutputFormatter

Direct Known Subclasses:
  `BedAnnotationOutputFormatter`

public class BedOutputFormatter extends OutputFormatter
Formats output as BED file Referneces: http://genome.ucsc.edu/FAQ/FAQformat.html#format1

Author:
  pcingola

## Constructor Summary

Constructors
Constructor
Description
`BedOutputFormatter()`

## Method Summary

Modifier and Type
Method
Description
`String`
`endSection(Marker marker)`
Finish up section
`void`
`setOutOffset(int outOffset)`
`void`
`startSection(Marker marker)`
Starts a new section
`String`
`toString()`
Show all effects
`String`
`toStringHeader()`
Show header

### Methods inherited from class org.snpeff.outputFormatter.OutputFormatter

`add, clone, close, print, printSection, setChrStr, setCommandLineStr, setConfig, setOutputFile, setShowHeader, setSupressOutput, setUseGeneId, setUseHgvs, setUseOicr, setUseSequenceOntology, setVariantEffectResutFilter, setVersion`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### BedOutputFormatter

public BedOutputFormatter()

## Method Details

### endSection

public String endSection(Marker marker)
Finish up section

Overrides:
  `endSection` in class `OutputFormatter`
Parameters:
  `marker` -

### setOutOffset

public void setOutOffset(int outOffset)

Overrides:
  `setOutOffset` in class `OutputFormatter`

### startSection

public void startSection(Marker marker)
Description copied from class: `OutputFormatter`
Starts a new section

Overrides:
  `startSection` in class `OutputFormatter`

### toString

public String toString()
Show all effects

Overrides:
  `toString` in class `OutputFormatter`

### toStringHeader

public String toStringHeader()
Show header

Specified by:
  `toStringHeader` in class `OutputFormatter`